<?php
namespace App\ViewModels\Medicamento\MedicamentoRegistrationViewModel;

use App\Utils\Entity;

class MedicamentoRegistrationViewModel extends Entity
{
    protected $nome;
    protected $quantidade;
    protected $posologia;
    protected $id_clinica;

    public static function builder() : MedicamentoRegistrationViewModelBuilder
    {
        return (new MedicamentoRegistrationViewModelBuilder);
    }

    public function getNome()
    {
        return $this->nome;
    }

    public function setNome($nome): void
    {
        $this->nome = $nome;
    }

    public function getQuantidade()
    {
        return $this->quantidade;
    }

    public function setQuantidade($quantidade): void
    {
        $this->quantidade = $quantidade;
    }

    public function getPosologia()
    {
        return $this->posologia;
    }

    public function setPosologia($posologia): void
    {
        $this->posologia = $posologia;
    }

    public function getIdClinica()
    {
        return $this->id_clinica;
    }

    public function setIdClinica($id_clinica): void
    {
        $this->id_clinica = $id_clinica;
    }


}